Page MenuHomePhabricator

Tag is not added when new page is created through External Guidance
Closed, ResolvedPublic

Description

Accessing the translation of "Bearded dragon" from Simple English to Indonesian, it is possible to follow the contribution path to start a new article (since it does not exist for Indonesian).

When creating the new page for it (changing the page name to use the user namespace as a test space), no specific tag is present in the history view to indicate that it came from an automatic translation as it would be expected (T212405, T209132).

We need to make sure that the corresponding tag is added when the user contributes.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd 'campaign' prefix for EG tag
operations/mediawiki-config : masterEnable edittag for ExternalGuidance in CX and VE
operations/mediawiki-config : masterEnable edittag for ExternalGuidance in CX and VE
mediawiki/extensions/ContentTranslation : masterAdd edittag for ExternalGuidance

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2019, 11:25 AM
Pginer-WMF triaged this task as High priority.Feb 14 2019, 11:25 AM
santhosh added a subscriber: KartikMistry.

Need to add our tag to a valid list of tags for VE $wgWMEEditCampaigns as per T209132. Also to CX

@KartikMistry Please note.

Change 493021 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[mediawiki/extensions/ContentTranslation@master] Add edittag for ExternalGuidance

https://gerrit.wikimedia.org/r/493021

The patches will look like as follows in mediawiki-config/wmf-config/InitialSettings.php:

'wmgContentTranslationCampaigns' => [
	'default' => [
		'article-recommender-1' => true,
		'cx2outreach' => true,
		'cxstats' => true,
		'newarticle' => true,
		'specialcx' => true,
		'staff-recommender' => true,
                'external-machine-translation' => [
			"edittag" =>  "external-machine-translation"
    	        ],

The keys in this configuration are campaign values and the value of edittag is the actual edit tag we will add for the campaign

For VE

wmgWMEEditCampaigns = [ 'external-machine-translation' ];

Change 493155 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/mediawiki-config@master] Enable edittag for ExternalGuidance in CX and VE

https://gerrit.wikimedia.org/r/493155

Change 493021 abandoned by KartikMistry:
Add edittag for ExternalGuidance

Reason:
Not needed.

https://gerrit.wikimedia.org/r/493021

Hi @Pginer-WMF , I think we also need tags when users edit an existing page in their local language, or when they edit the original page in English. Hopefully this fix them all.

Change 493155 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable edittag for ExternalGuidance in CX and VE

https://gerrit.wikimedia.org/r/493155

Change 494477 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/mediawiki-config@master] Enable edittag for ExternalGuidance in CX and VE

https://gerrit.wikimedia.org/r/494477

Change 494477 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable edittag for ExternalGuidance in CX and VE

https://gerrit.wikimedia.org/r/494477

Mentioned in SAL (#wikimedia-operations) [2019-03-07T12:08:21Z] <kartik@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:494477]] Enable edittag for ExternalGuidance in CX and VE (T216123) (duration: 00m 57s)

KartikMistry moved this task from In Review to Done on the ExternalGuidance board.Mar 7 2019, 12:09 PM
Pginer-WMF added a comment.EditedMar 8 2019, 1:28 PM

Results for the following cases:

Desktop:

New article using Content translation on desktop: the tag is added, as expected.

New article using Visual Editor: tag not added, issue captured in T217892: Starting a new page from scratch does not lead directly to Visual Editor, causing the result not to be tagged

Editing existing article: the tag is added, as expected.

Mobile:
Creating new article: the tag is added, as expected.

Editing existing article: the tag is added, as expected.


The tag seems correctly configured, the only issue getting it the way for the tag to be applied seems T217892. So I think we can close this ticket and continue the work in that follow-up ticket

Pginer-WMF closed this task as Resolved.Mar 8 2019, 1:28 PM

Change 495842 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/mediawiki-config@master] Add 'campaign' prefix for EG tag

https://gerrit.wikimedia.org/r/495842

Change 495842 merged by jenkins-bot:
[operations/mediawiki-config@master] Add 'campaign' prefix for EG tag

https://gerrit.wikimedia.org/r/495842

Mentioned in SAL (#wikimedia-operations) [2019-03-12T11:11:59Z] <kartik@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:495842]] Add campaign prefix for EG tag (T216123) (duration: 00m 49s)